Package org.eclipse.birt.chart.model.attribute

# Enum Orientation

java.lang.Object
java.lang.Enum<Orientation>
org.eclipse.birt.chart.model.attribute.Orientation

All Implemented Interfaces:
  `Serializable`, `Comparable<Orientation>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum Orientation extends Enum<Orientation> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration ' Orientation', and utility methods for working with them. This type represents the options available for orientation.

See Also:
  - `AttributePackage.getOrientation()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HORIZONTAL_LITERAL`
The 'Horizontal' literal object.
`VERTICAL_LITERAL`
The 'Vertical' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`HORIZONTAL`
The 'Horizontal' literal value.
`static final List<Orientation>`
`VALUES`
A public read-only list of all the 'Orientation' enumerators.
`static final int`
`VERTICAL`
The 'Vertical' literal value.

## Method Summary

Modifier and Type
Method
Description
`static Orientation`
`get(int value)`
Returns the 'Orientation' literal with the specified integer value.
`static Orientation`
`get(String literal)`
Returns the 'Orientation' literal with the specified literal value.
`static Orientation`
`getByName(String name)`
Returns the 'Orientation' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static Orientation`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Orientation[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HORIZONTAL_LITERAL

public static final Orientation HORIZONTAL_LITERAL
The 'Horizontal' literal object.

If the meaning of 'Horizontal' literal object isn't clear, there really should be more of a description here...

See Also:
  - `HORIZONTAL`

### VERTICAL_LITERAL

public static final Orientation VERTICAL_LITERAL
The 'Vertical' literal object.

If the meaning of 'Vertical' literal object isn't clear, there really should be more of a description here...

See Also:
  - `VERTICAL`

## Field Details

### HORIZONTAL

public static final int HORIZONTAL
The 'Horizontal' literal value.

See Also:
  - `HORIZONTAL_LITERAL`
  - Constant Field Values

### VERTICAL

public static final int VERTICAL
The 'Vertical' literal value.

See Also:
  - `VERTICAL_LITERAL`
  - Constant Field Values

### VALUES

public static final List<Orientation> VALUES
A public read-only list of all the 'Orientation' enumerators.

## Method Details

### values

public static Orientation[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Orientation valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static Orientation get(String literal)
Returns the 'Orientation' literal with the specified literal value.

### getByName

public static Orientation getByName(String name)
Returns the 'Orientation' literal with the specified name.

### get

public static Orientation get(int value)
Returns the 'Orientation' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<Orientation>`